{% extends 'base.html' %}
{% load bootstrap5 %}

<!-- Tab-Title -->
{% block tab_title %}
    Articles
{% endblock %}

<!-- Content -->
{% block content %}

    <!-- Delete-Modals -->
    {% for article in articles %}
        <div class="modal fade" id="deleteModal-{{ article.id }}" tabindex="-1"
             aria-labelledby="deleteModalLabel-{{ article.id }}" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="deleteModalLabel-{{ article.id }}">
                            Delete article: {{ article.title }}
                        </h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        Do you really want to delete this article?
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <a class="btn btn-danger" href="{% url 'delete_article' article.id %}">Delte now!</a>
                    </div>
                </div>
            </div>
        </div>
    {% endfor %}

    <!-- Create Button -->
    <div class="mt-3">
        <a class="btn btn-primary" href="{% url 'create_article' %}">Create article</a>
    </div>

    <!-- Articles -->
    <div class="mt-5">
        {% for article in articles %}
            <div class="card mt-2" style="width: 18rem;">
                <div class="card-body">
                    <h5 class="card-title">{{ article.title }}</h5>
                    <h6 class="card-subtitle mb-2 text-muted">{{ article.category.name }}</h6>
                    <p class="card-text">
                        {{ article.content }}
                    </p>
                    <a href="{% url 'update_article' article.id %}" class="btn btn-sm btn-primary">Edit</a>
                    <button class="btn btn-sm btn-danger" data-bs-toggle="modal"
                            data-bs-target="#deleteModal-{{ article.id }}">
                        Delete
                    </button>
                </div>
                <div class="card-footer">
                    <small class="text-muted">from {{ article.user.first_name }} {{ article.user.last_name }}</small>
                </div>
            </div>
        {% endfor %}
    </div>

{% endblock %}